FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 02-08-2008, 11:57 PM
CJoeB
 
Default Question upgrade to goffice

Hi all,

I did an emerge --sync and got told that a few things needed upgrading,
one of them being goffice. I have gnumeric installed on my system, but
my USE flags include '-gnome'. I don't want gnome (i.e. the desktop) on
my system!! gnumeric, gimp and abiword (and yes, I have openoffice.org,
but find gnumeric and abiword more functional for some things) have
always compiled okay with the -gnome USE flag. However, goffice is
needed by gnumeric and probably the others, but now it doesn't seem to
want to compile and I've removed the 0.2.1 version 'cause it wanted to
put the 0.6.1 version into a new slot and I didn't want both versions on
my system and of course, now I've broken gnumeric and as I said, goffice
doesn't seem to want to compile without gnome (at least that is what I'm
interpreting the error message to mean.

Why all of a sudden can't I compile goffice without gnome?

Any feedback would be appreciated.

Regards,

Colleen

--

Registered Linux User #411143 with the Linux Counter, http://counter.li.org

--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-09-2008, 07:50 AM
Alan McKinnon
 
Default Question upgrade to goffice

On Saturday 09 February 2008, CJoeB wrote:

> Why all of a sudden can't I compile goffice without gnome?

Could you supply the full output of 'emerge -avt goffice' so we can see
what's pulling in gnome? I also don't have gnome (and -gnome in USE)
but get different results to you:

nazgul elog # emerge -avt gnumeric abiword goffice

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild N ] app-office/abiword-2.4.6 USE="spell xml -debug -gnome"
24,410 kB
[ebuild N ] app-office/gnumeric-1.8.1 USE="perl
python -debug -gnome" 13,732 kB
[nomerge ] app-office/abiword-2.4.6 USE="spell xml -debug -gnome"
[ebuild N ] gnome-base/libgnomeprintui-2.18.2 USE="-debug -doc"
682 kB
[ebuild N ] app-text/wv-1.2.3-r1 USE="wmf" 615 kB
[ebuild N ] x11-libs/goffice-0.6.1 USE="-debug -gnome" 1,826 kB

Total: 5 packages (5 new), Size of downloads: 41,263 kB


--
Alan McKinnon
alan dot mckinnon at gmail dot com

--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-09-2008, 11:59 AM
CJoeB
 
Default Question upgrade to goffice

Alan McKinnon wrote:
> On Saturday 09 February 2008, CJoeB wrote:
>
>
>> Why all of a sudden can't I compile goffice without gnome?
>>

Thanks, not necessary. I think I solved it. I just re-emerged
XML-Parser. and things seem to be okay.

Regards,

Colleen

--

Registered Linux User #411143 with the Linux Counter, http://counter.li.org


--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-09-2008, 09:11 PM
Alan McKinnon
 
Default Question upgrade to goffice

On Saturday 09 February 2008, CJoeB wrote:
> >> Why all of a sudden can't I compile goffice without gnome?
> >> * *
>
> Thanks, not necessary. *I think I solved it. *I just re-emerged
> XML-Parser. and things seem to be okay.

It's hard to see how that relates to your original problem.

Did you have to do the whole expat-upgrade thing at the same time?

--
Alan McKinnon
alan dot mckinnon at gmail dot com

--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-09-2008, 10:22 PM
CJoeB
 
Default Question upgrade to goffice

Alan McKinnon wrote:

On Saturday 09 February 2008, CJoeB wrote:


Why all of a sudden can't I compile goffice without gnome?



Thanks, not necessary. I think I solved it. I just re-emerged
XML-Parser. and things seem to be okay.



It's hard to see how that relates to your original problem.

Did you have to do the whole expat-upgrade thing at the same time?

No, I guess I misinterpreted the error message. Tried something that I
found by doing a google search and it worked. All I did was to re-emerge


XML-Parser.

Sorry to have bothered the list.

Regards,

Colleen



--

Registered Linux User #411143 with the Linux Counter, http://counter.li.org

--
gentoo-user@lists.gentoo.org mailing list
 

Thread Tools




All times are GMT. The time now is 11:25 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org